Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.message
Class ActionStatusBean

    java.lang.Object
      org.jboss.soa.esb.listeners.message.ActionStatusBean

    public class ActionStatusBean

extends java.lang.Object

ActionStatusBean is a bean which wraps the information necessary to update the ServiceMessageCounter MBean.

Since:
  Version 4.2
Author:
  tcunning@redhat.com

Field Summary
`static java.lang.String` | `ACTION_FAILED`
`static java.lang.String` | `ACTION_SENT`

Constructor Summary
`ActionStatusBean(long procTime, int f_procCount, Message f_message, java.lang.String f_status)` Constructor

Method Summary
`int` | `getBytesProcessed()`
`int` | `getProcCount()` Process counter getter.
`long` | `getProcTime()` Processing Time getter.
`java.lang.String` | `getStatus()` Status getter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_SENT

    public static final java.lang.String ACTION_SENT

See Also:
  Constant Field Values

### ACTION_FAILED

    public static final java.lang.String ACTION_FAILED

See Also:
  Constant Field Values

Constructor Detail

### ActionStatusBean

    public ActionStatusBean(long procTime,
                            int f_procCount,
                            Message f_message,
                            java.lang.String f_status)

  Constructor

  Parameters:
    `procTime` - processing time
    `f_procCount` - counter that identifies the action processor in the ConfigTree
    `f_status` - status string

Method Detail

### getBytesProcessed

    public int getBytesProcessed()

### getProcCount

    public int getProcCount()

  Process counter getter.

  Returns:
    counter that identifies the action processor in the ConfigTree

### getStatus

    public java.lang.String getStatus()

  Status getter.

  Returns:
    status of action process

### getProcTime

    public long getProcTime()

  Processing Time getter.

  Returns:
    processing time elapsed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD